com.datecs.printer

## Class PrinterInformation

- java.lang.Object
- - com.datecs.printer.PrinterInformation

-     public class PrinterInformation
      extends java.lang.Object

  This class represents a various information received from printer.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PRINTER_CMP10`
    `static int` | `PRINTER_DPP250`
    `static int` | `PRINTER_DPP350`
    `static int` | `PRINTER_DPP450`
    `static int` | `PRINTER_DPP500`
    `static int` | `PRINTER_EP300`
    `static int` | `PRINTER_EP55`
    `static int` | `PRINTER_EP60`
    `static int` | `PRINTER_PP60`
    `static int` | `PRINTER_UNKNOWN`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getData()` Returns a copy of the information data as returned from printer.
    `int` | `getFeedLines()` Returns the number of dot lines needed to feed last printed line to cutter in.
    `int` | `getFirmwareVersion()` Returns the printer firmware version.
    `java.lang.String` | `getFirmwareVersionString()` Returns the printer firmware version as string.
    `int` | `getMaxPageHeight()` Returns maximum page height in dots.
    `int` | `getMaxPageWidth()` Returns maximum page width in dots.
    `int` | `getModel()` Return printer model.
    `java.lang.String` | `getName()` Returns printer name.
    `boolean` | `isBarcodeAvailable()` Return `true` if barcode reader module is available.
    `boolean` | `isBlackmarkEnabled()` Return `true` if blackmark mode is enabled.
    `boolean` | `isBlackmarkSupported()` Return `true` if blackmark mode is supported.
    `boolean` | `isFahrenheit()` Return `true` if head temperature is returned in Fahrenheit scale.
    `boolean` | `isFirmwareUpdateSupported()` Return `true` if printer support firmware update.
    `boolean` | `isIrdaAvailable()` Return `true` if IRDA module is available.
    `boolean` | `isMsr3Tack()` Return `true` if magnetic stripe reader is capable to read track 3.
    `boolean` | `isMsrAvailable()` Return `true` if magnetic stripe reader module is available.
    `boolean` | `isPageSupported()` Return `true` if page mode is supported.
    `boolean` | `isUsbAEnabled()` Return `true` if USB A is enabled.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PRINTER_UNKNOWN

          public static final int PRINTER_UNKNOWN

      See Also:
        Constant Field Values

    - #### PRINTER_CMP10

          public static final int PRINTER_CMP10

      See Also:
        Constant Field Values

    - #### PRINTER_DPP350

          public static final int PRINTER_DPP350

      See Also:
        Constant Field Values

    - #### PRINTER_DPP250

          public static final int PRINTER_DPP250

      See Also:
        Constant Field Values

    - #### PRINTER_PP60

          public static final int PRINTER_PP60

      See Also:
        Constant Field Values

    - #### PRINTER_EP55

          public static final int PRINTER_EP55

      See Also:
        Constant Field Values

    - #### PRINTER_DPP450

          public static final int PRINTER_DPP450

      See Also:
        Constant Field Values

    - #### PRINTER_EP60

          public static final int PRINTER_EP60

      See Also:
        Constant Field Values

    - #### PRINTER_EP300

          public static final int PRINTER_EP300

      See Also:
        Constant Field Values

    - #### PRINTER_DPP500

          public static final int PRINTER_DPP500

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getData

          public byte[] getData()

      Returns a copy of the information data as returned from printer.
      Returns:
        a copy of the information data.

    - #### getFirmwareVersion

          public int getFirmwareVersion()

      Returns the printer firmware version.
      Returns:
        the printer firmware version.

    - #### getFirmwareVersionString

          public java.lang.String getFirmwareVersionString()

      Returns the printer firmware version as string.
      Returns:
        the printer firmware version.

    - #### isIrdaAvailable

          public boolean isIrdaAvailable()

      Return `true` if IRDA module is available.
      Returns:
        `true` if IRDA module is available.

    - #### isMsrAvailable

          public boolean isMsrAvailable()

      Return `true` if magnetic stripe reader module is available.
      Returns:
        `true` if magnetic stripe reader module is available.

    - #### isMsr3Tack

          public boolean isMsr3Tack()

      Return `true` if magnetic stripe reader is capable to read track 3.
      Returns:
        `true` if magnetic stripe reader is capable to read track 3.

    - #### isFahrenheit

          public boolean isFahrenheit()

      Return `true` if head temperature is returned in Fahrenheit scale.
      Returns:
        `true` if head temperature is returned in Fahrenheit scale.

    - #### isFirmwareUpdateSupported

          public boolean isFirmwareUpdateSupported()

      Return `true` if printer support firmware update.
      Returns:
        `true` if printer support firmware update.

    - #### isBlackmarkSupported

          public boolean isBlackmarkSupported()

      Return `true` if blackmark mode is supported.
      Returns:
        `true` if blackmark mode is supported.

    - #### isBlackmarkEnabled

          public boolean isBlackmarkEnabled()

      Return `true` if blackmark mode is enabled.

      On some devices parameter can return incorrect value

      Returns:
        `true` if blackmark mode is enabled.

    - #### isBarcodeAvailable

          public boolean isBarcodeAvailable()

      Return `true` if barcode reader module is available.
      Returns:
        `true` if barcode reader module is available.

    - #### isPageSupported

          public boolean isPageSupported()

      Return `true` if page mode is supported.
      Returns:
        `true` if page mode is supported.

    - #### isUsbAEnabled

          public boolean isUsbAEnabled()

      Return `true` if USB A is enabled.
      Returns:
        `true` if USB A is enabled.

    - #### getModel

          public int getModel()

      Return printer model.

      The returned value can be one of `PRINTER_*` constant values.

      Returns:
        printer model.

    - #### getName

          public java.lang.String getName()

      Returns printer name.
      Returns:
        the printer name.

    - #### getMaxPageWidth

          public int getMaxPageWidth()

      Returns maximum page width in dots.

      Printer resolution is 203 DPI (dot per inch).

      Returns:
        maximum page width in dots.

    - #### getMaxPageHeight

          public int getMaxPageHeight()

      Returns maximum page height in dots.

      Printer resolution is 203 DPI (dot per inch).

      Returns:
        maximum page height in dots.

    - #### getFeedLines

          public int getFeedLines()

      Returns the number of dot lines needed to feed last printed line to cutter in.

      Printer resolution is 203 DPI (dot per inch).

      Returns:
        the number of dot lines needed to feed last printed line to cutter.